import d from "../../../@babel/runtime/helpers/esm/objectSpread2.mjs";
import x from "../../../@babel/runtime/helpers/esm/objectWithoutProperties.mjs";
import { warningOnce as l } from "../../../rc-util/es/warning.mjs";
var r = ["expandable"], c = "RC_TABLE_INTERNAL_COL_DEFINE";
function f(n) {
  var o = n.expandable, a = x(n, r), e;
  return "expandable" in n ? e = d(d({}, a), o) : (process.env.NODE_ENV !== "production" && ["indentSize", "expandedRowKeys", "defaultExpandedRowKeys", "defaultExpandAllRows", "expandedRowRender", "expandRowByClick", "expandIcon", "onExpand", "onExpandedRowsChange", "expandedRowClassName", "expandIconColumnIndex", "showExpandColumn", "title"].some(function(p) {
    return p in n;
  }) && l(!1, "expanded related props have been moved into `expandable`."), e = a), e.showExpandColumn === !1 && (e.expandIconColumnIndex = -1), e;
}
export {
  c as INTERNAL_COL_DEFINE,
  f as getExpandableProps
};
